/*
This program is meant to ON the
LED when the switch is pressed.
LED at PORTA PIN7
Switch at PORTA PIN2
*/

#include<avr/io.h>
#define F_CPU 20000000 //CPU frequency to use 20MHz
#include<util/delay.h> // delay function library
#define DELAY_TIME 5   //contstant value for delay 5ms

int main(void) {
    DDRA = 0b10000000;  // LED at A.2
        PORTA = 0b00000100; //switch at A2 & OFF LED at A7

        while(1) {
            if(!(PINA & 0b00000100)) {   // when button pressed
                    PORTA |= 0b10000000;     // turn ON LED
                    _delay_ms(DELAY_TIME);   // to manage switch action delay
                }
                else {
                    PORTA &= 0b01111111;     // turn OFF LED
                    _delay_ms(DELAY_TIME);   // to manage switch action delay
                }
        }
}
